"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("@openapi-generator-plus/testing");
const core_1 = require("@openapi-generator-plus/core");
const path_1 = __importDefault(require("path"));
const __1 = __importDefault(require(".."));
test('array component with primitive type', async () => {
    const { doc } = await (0, testing_1.createCodegenResult)(path_1.default.resolve(__dirname, 'component-types-v2.yml'), {}, __1.default);
    const group1 = doc.groups[0];
    const op1 = group1.operations[0];
    const op1AllParams = core_1.idx.allValues(op1.parameters);
    const param1 = op1AllParams[0];
    expect(param1.nativeType.toString()).toEqual('java.util.List<java.lang.Integer>');
    expect(param1.nativeType.concreteType).toEqual('java.util.ArrayList<java.lang.Integer>');
});
/**
 * A concrete array type as a component doesn't use its concrete type, it uses its normal type, as Java doesn't
 * like `List<List<String>> list = new ArrayList<ArrayList<String>>();` it wants `new ArrayList<List<String>>();`
 */
test('array component with array concrete type', async () => {
    const { doc } = await (0, testing_1.createCodegenResult)(path_1.default.resolve(__dirname, 'component-types-array-v2.yml'), {}, __1.default);
    const group1 = doc.groups[0];
    const op1 = group1.operations[0];
    const op1AllParams = core_1.idx.allValues(op1.parameters);
    const param1 = op1AllParams[0];
    expect(param1.nativeType.toString()).toEqual('java.util.List<java.util.List<java.lang.String>>');
    expect(param1.nativeType.concreteType).toEqual('java.util.ArrayList<java.util.List<java.lang.String>>');
});
